#
# spec file for package python-py-doc
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-py-doc
Version:        1.4.30
Release:        7.2
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT
Group:          Development/Languages/Python
Url:            http://pylib.org
Source:         http://pypi.python.org/packages/source/p/py/py-%{version}.tar.gz
# Documentation requirements:
BuildRequires:  python-Sphinx
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
The py lib is a Python development support library featuring
the following tools and modules:

* py.path:  uniform local and svn path objects
* py.apipkg:  explicit API control and lazy-importing
* py.iniconfig:  easy parsing of .ini files
* py.code: dynamic code generation and introspection
* py.path:  uniform local and svn path objects

This package contains the documentation for Babel


%prep
%setup -q -n py-%{version}

%build
cd doc && make html && rm -r _build/html/.buildinfo

%install
# Only building documentation

%files
%defattr(-,root,root,-)
%doc LICENSE doc/_build/html

%changelog
* Thu Jul  2 2015 aj@ajaissle.de
- update to version 1.4.30
* Tue Jun 30 2015 aj@ajaissle.de
- Split documentation into separate package to avoid build loop
